package com.example.switchyard.switchyard_database_binding;

import org.switchyard.component.bean.Service;

@Service(ServiceInterface.class)
public class ServiceInterfaceBean implements ServiceInterface {

    @Override
    public boolean invoke(TestEntity te) throws ServiceFault {
        System.out.println(te);
        te.setStatus(TestEntityStatus.PROCESSED);

        // Try-Catch used as a workaround
        //		try {
        // Do business work
        if(te.getPayLoad().equals("fail")) {
            te.setStatus(TestEntityStatus.FAILED);
            throw new ServiceFault("Cannot proceed");
        }
        //		} catch(Exception e) {
        //			te.setStatus(TestEntityStatus.FAILED);
        //		}
        return true;
    }

}
